Subject: Re: [sipcore] draft on rich call data and Call-Info

From: Chris Wendt <[email-masked]>
Date: Fri, 9 Oct 2020 10:23:55 -0400

So, i think i’ve heard some good suggestions/comments, but not a lot of disagreement that would prevent adoption.

Could I ask for WG adoption for draft-wendt-sipcore-callinfo-rcd-03?

Thanks!

-Chris

> On Aug 5, 2020, at 12:23 PM, Paul Kyzivat <[email-masked]> wrote:
> 
> I had more thoughts after hitting send. So elaborating:
> 
> On 8/5/20 12:01 PM, Peterson, Jon wrote:
>> Thanks for taking a glance Paul. Just to the matter of call reason and Subject:
>>          Similarly, I think it need do discuss the need for the "call-reason"
>>     parameter. As the draft notes, the contents of the Subject header could
>>     be used for this purpose. I would like to some some further in
>>     investigation of why it is unsuitable before giving up on it.
>>     Broadly I imagine that call reason might eventually call for structured data to handle cases like internationalization (display the Spanish version if the UE indicates a native Spanish speaker) or broad categories of subject types ("appointment/reservation confirmation" or "IVR callback") that might be handled programmatically in some way. I guess I look at the Subject header as pretty syntactically poor, and moreover something that legacy implementations might expect to treat already in some unhelpful way (most likely by stripping/ignoring it). But I'm interested to hear what people think about this one.
> 
> This all makes sense to me. It just needs to make it into the document.
> 
> While it makes sense to me that you might want a syntactically richer call reason than what fits in the Subject header, as defined it isn't any richer - it is still just a string.
> 
> 	Thanks,
> 	Paul
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore